# Group Chats
Welcome to the chats API. This API provides access to the chats service.

## chats [/chats]

### Create chats [POST]

Create a new chats

+ Request chats (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + last_msg_id: 1 (number)

+ Response 201 (application/json; charset=utf-8)
    + Attributes (chats, fixed)

### Get chats [GET]

Returns a chats list.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (array, fixed)
        + (chats)

## chats details [/chats/{id}]

+ Parameters
    + id: `1` (enum[string]) - The ID of the desired chats.
        + Members
            + `1`
            + `2`
            + `3`

### Get chats [GET]

Returns a chats.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (chats, fixed)

### Update chats [PUT]

Update a chats.

+ Request chats (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + last_msg_id: 1 (number)

+ Response 200 (application/json; charset=utf-8)
    + Attributes (chats, fixed)

### Delete chats [DELETE]

Delete a chats.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 204

# Data Structures
## chats (object)

+ id: *1* (number)
+ last_msg_id: *1* (number)
+ created_at: `*2000-01-01 00:00:00*` (string)
+ updated_at: `*2000-01-01 00:00:00*` (string)
